# GM - Flow Layout

## **Documentation**

**GM - Flow Layout** component is used to edit a related object using a layout configuration within a flow. The related object could be at any level. You can configure this component to display sections and define also their visibilities. With this component, you can leverage your existing data model and reduce flow maintenance. The edited record is automatically saved after moving forward in the flow.

**Use case:** Edit the ultimate account details of a contact flow with different sections and of course more than 2 columns!

## **Specification**

**GM - Flow Layout** component has the same properties as **GM - Record Layout**.

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="FlowLayoutComponent.design" %}

```xml
<design:component label="GM - Flow Layout">    
    <design:attribute name="recordId" label="recordId" description="recordId to use. Use it only for community"/>        
    <design:attribute name="sObjectName" label="SObject Name" description="Object Name to load"/>    
    <design:attribute name="targetObjName" label="Target Object Name" description="Object Name to load"/>    
    <design:attribute name="recordIdField" label="Record Id Field" description="Record Id Field to load" />
    <design:attribute name="recordLayout" label="Record Layout" description="JSON Record Layout"/>    
</design:component>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-flow-layout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
